package net.woodyfolsom.cs6601.p3.dao;

import static org.junit.Assert.assertNotNull;

import net.woodyfolsom.cs6601.p3.svc.HeadlineService;

import org.junit.BeforeClass;
import org.junit.Test;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class MySQLHeadlineDaoImplTest {
	private static HeadlineService headlineSvc;
	
	@BeforeClass
	public static void setUp() {
		ApplicationContext context=new ClassPathXmlApplicationContext(new String[]{"/AppContext.xml"});
	    headlineSvc = (HeadlineService) context
				.getBean("mySQLHeadlineSvc");
	}
	
	@Test
	public void testSelect() {
		assertNotNull(headlineSvc);
	}
}
